require "scripts/style"

kButtonSpacing = 60;	-- Put our buttons 60 pixels apart
kButtonY = kCenter-60;	-- Three buttons means center 60 pixels above the center

-- When this dialog is popped up, we're entering pause state, so
-- let's just notify TGameState now.

local sx = 248
local sy = 39

MakeDialog
{
	-- Name the modal dialog
	name="blockInput",
	Bitmap{
		image="backgrounds/dark",
		x=kCenter,
		y=kCenter,
		alpha=true
	},
	SetStyle(ButtonStyle),
	Button
	{
		y=500,
		x=kCenter,
		graphics={"buttons/ir_btn_univ01","buttons/ir_btn_univ03","buttons/ir_btn_univ02"},
		name="resumebutton",
		MenuButtonLabel3("resume",78,20),
		close = true,	-- Just close this window
		cancel=true,
		command=
			function()
				--PopModal ("blockInput");
				SetState( kPause, false );
			end;

	},
}